Delete memory context data
curl --request POST \
--url https://platform-backend.getalchemystai.com/api/v1/context/memory/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memoryId": "support-thread-TCK-1234",
"organization_id": "org_01HXYZABC",
"by_doc": true,
"by_id": false
}
'import requests
url = "https://platform-backend.getalchemystai.com/api/v1/context/memory/delete"
payload = {
"memoryId": "support-thread-TCK-1234",
"organization_id": "org_01HXYZABC",
"by_doc": True,
"by_id": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memoryId: 'support-thread-TCK-1234',
organization_id: 'org_01HXYZABC',
by_doc: true,
by_id: false
})
};
fetch('https://platform-backend.getalchemystai.com/api/v1/context/memory/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}{
"success": false,
"error": "Error details",
"message": "Invalid job id",
"status": 400,
"statusText": "<string>"
}Endpoint examples
Delete memory context data
Deletes memory context data based on provided parameters.
POST
/
api
/
v1
/
context
/
memory
/
delete
Delete memory context data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successfully deleted memory context
⌘I

